<?php
require_once("settings.php");

////////////////////////////////////////////////////////////////////////
// DATABASE ////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////

require_once("db_struct.php");

////////////////////////////////////////////////////////////////////////
// DIRECTORIES /////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////

define("FUNCTIONS_DIR_PATH",ROOT_DIR_PATH."functions/");
define('PUBLIC_HTML_ADMIN_PATH',ROOT_DIR_PATH.'public_html_admin/');
define('PHP_LIB_DIR',ROOT_DIR_PATH."php_libs/");

// TMP DIR
define('TMP_DIR',ROOT_DIR_PATH."tmp/");
if(!file_exists(TMP_DIR)) mkdir(TMP_DIR);

////////////////////////////////////////////////////////////////////////
// START ///////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////

define('SMARTY',PHP_LIB_DIR.'smarty-3.1.33/libs/Smarty.class.php');
require_once(SMARTY);
$GLOBALS['smarty'] = new Smarty();
$GLOBALS['smarty']->loadFilter('output', 'trimwhitespace');
session_start();
session_reset();

define('COMPOSER_LOADER',PHP_LIB_DIR.'composer/vendor/autoload.php');
require_once(COMPOSER_LOADER);

require_once(FUNCTIONS_DIR_PATH.'functions.php');
require_once(FUNCTIONS_DIR_PATH.'dbSqlManager.php');

$GLOBALS['smarty']->assign('site_name',SITE_NAME);
$GLOBALS['smarty']->assign('online_repo',ONLINE_REPOSITORY);

////////////////////////////////////////////////////////////////////////
// JS / CSS / FUNCTIONS FILES //////////////////////////////////////////
////////////////////////////////////////////////////////////////////////

// ADMIN
if($GLOBALS['admin']) {
    $cssFiles = array(
        PUBLIC_HTML_ADMIN.'libs/bootstrap-3.3.5/css/bootstrap.min.css',
        PUBLIC_HTML_ADMIN.'libs/bootstrap_modal/bootstrap_modal.css',
        PUBLIC_HTML_ADMIN.'libs/bootstrap_glyphicons/bootstrap_glyphicons.css',
        PUBLIC_HTML_ADMIN.'libs/bootstrap_tooltip_popover/bootstrap_tooltip_popover.css',
        PUBLIC_HTML_ADMIN.'libs/jquery-ui-bootstrap/css/custom-theme/jquery-ui-1.10.3.custom.css',
        PUBLIC_HTML_ADMIN.'libs/intl-tel-input/build/css/intlTelInput.css',
        PUBLIC_HTML_ADMIN.'css/admin.css'
    );
    
    $jsFiles = array(
        PUBLIC_HTML_ADMIN.'libs/jquery/jquery-2.1.4.min.js',
        PUBLIC_HTML_ADMIN.'libs/bootstrap-3.3.5/js/bootstrap.min.js',
        PUBLIC_HTML_ADMIN.'libs/jquery-ui-1.11.4/jquery-ui.min.js',
        PUBLIC_HTML_ADMIN.'libs/jquery.ui.autocomplete.html.js',
        PUBLIC_HTML_ADMIN.'libs/moment/moment.js',
        PUBLIC_HTML_ADMIN.'libs/bootstrap_modal/bootstrap_modal.js',
        PUBLIC_HTML_ADMIN.'libs/bootstrap_tooltip_popover/bootstrap_tooltip_popover.js',
        PUBLIC_HTML_ADMIN.'libs/intl-tel-input/build/js/intlTelInput.js',
        PUBLIC_HTML_ADMIN.'js/functions.js',
        PUBLIC_HTML_ADMIN.'js/navSecondBar.js'
    );
    
    require_once(FUNCTIONS_DIR_PATH.'functions_generals.php');
    require_once(FUNCTIONS_DIR_PATH.'functions_tmp_files.php');
}
